import request from '@/utils/request'

// 创建对内帮助文档
export function createInternalHelpDoc(data) {
  return request({
    url: '/system/internal-help-doc/create',
    method: 'post',
    data: data
  })
}

// 更新对内帮助文档
export function updateInternalHelpDoc(data) {
  return request({
    url: '/system/internal-help-doc/update',
    method: 'put',
    data: data
  })
}

// 删除对内帮助文档
export function deleteInternalHelpDoc(id) {
  return request({
    url: '/system/internal-help-doc/delete?id=' + id,
    method: 'delete'
  })
}

// 获得对内帮助文档
export function getInternalHelpDoc(id) {
  return request({
    url: '/system/internal-help-doc/get?id=' + id,
    method: 'get'
  })
}

// 获得对内帮助文档分页
export function getInternalHelpDocPage(query) {
  return request({
    url: '/system/internal-help-doc/page',
    method: 'get',
    params: query
  })
}

// 导出对内帮助文档 Excel
export function exportInternalHelpDocExcel(query) {
  return request({
    url: '/system/internal-help-doc/export-excel',
    method: 'get',
    params: query,
    responseType: 'blob'
  })
}
